% Chapter 10 - Limit Cycles.
% Programs_10c - Phase portrait (Fig. 10.7).
% Copyright Birkhauser 2004. Stephen Lynch.

% Non-convex limit cycle of a Lienard system.
clear
hold on
sys1=inline('[x(2);-x(1)-x(2)*(90*(x(1))^2-882*(x(1))^4+2598.4*(x(1))^6-3359.997*(x(1))^8+2133.34*(x(1))^10-651.638*(x(1))^12+76.38*(x(1))^14)]','t', 'x');
[t,xt] = ode45(sys1,[0 30],[1.4 0]);
plot(xt(:,1),xt(:,2))      
hold off
axis([-3 3 -3 3])
fsize=15;
set(gca,'xtick',[-3:1:3],'FontSize',fsize)
set(gca,'ytick',[-10:5:10],'FontSize',fsize)
xlabel('x(t)','FontSize',fsize)
ylabel('y(t)','FontSize',fsize)
hold off

% End of Programs_10c.